package com.lightinit.hsdataportal.mapper;

import com.lightinit.hsdataportal.entity.OfflineConference;
import com.lightinit.hsdataportal.entity.OfflineConferenceExample;
import com.lightinit.hsdataportal.entity.OfflineConferenceWithBLOBs;
import java.util.List;

import com.lightinit.hsdataportal.model.OfflineConferenceListModel;
import com.lightinit.hsdataportal.model.OfflineConferenceSearchModel;
import org.apache.ibatis.annotations.Param;

public interface OfflineConferenceMapper {
    long countByExample(OfflineConferenceExample example);

    int deleteByExample(OfflineConferenceExample example);

    int deleteByPrimaryKey(Long id);

    int insert(OfflineConferenceWithBLOBs record);

    int insertSelective(OfflineConferenceWithBLOBs record);

    List<OfflineConferenceWithBLOBs> selectByExampleWithBLOBs(OfflineConferenceExample example);

    List<OfflineConference> selectByExample(OfflineConferenceExample example);

    OfflineConferenceWithBLOBs selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") OfflineConferenceWithBLOBs record, @Param("example") OfflineConferenceExample example);

    int updateByExampleWithBLOBs(@Param("record") OfflineConferenceWithBLOBs record, @Param("example") OfflineConferenceExample example);

    int updateByExample(@Param("record") OfflineConference record, @Param("example") OfflineConferenceExample example);

    int updateByPrimaryKeySelective(OfflineConferenceWithBLOBs record);

    int updateByPrimaryKeyWithBLOBs(OfflineConferenceWithBLOBs record);

    int updateByPrimaryKey(OfflineConference record);

    List<OfflineConferenceListModel> queryOpenList(OfflineConferenceSearchModel offlineConferenceSearchModel);

    long queryOpenCount(OfflineConferenceSearchModel offlineConferenceSearchModel);
}